Skip to main content
GET
/
v1
/
phone-numbers
List phone numbers
curl --request GET \
  --url https://api.openphone.com/v1/phone-numbers \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "groupId": "<string>",
      "portRequestId": "123abc",
      "formattedNumber": "+15555555555",
      "forward": "+15555555555",
      "name": "<string>",
      "number": "<string>",
      "portingStatus": "completed",
      "symbol": "🏑",
      "users": [
        {
          "email": "[email protected]",
          "firstName": "John",
          "lastName": "Doe",
          "id": "<string>",
          "groupId": "<string>"
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "restrictions": {
        "calling": {},
        "messaging": {}
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.quo.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

userId
string

Filter results to return only phone numbers associated with the specified user"s unique identifier.

Pattern: ^US(.*)$
Example:

"US123abc"

Response

Success

data
object[]
required